VMware Networking Community
FrankBlonk
Contributor
Contributor

NSX Application Platform Automation

When trying to deploy NAPP whit the 'NSX Application Platform Automation' appliance I get the following error when the guest cluster gets created : 

Error from server (unable to find a compatible full version matching version hint "1.21.6" and default OS labels: "os-arch=amd64,os-name=photon,os-type=linux,os-version=3.0". Existing TKRs may have different OS labels. Please use .spec.distribution.fullVersion (in TKC v1alpha1) or .spec.topology.controlPlane.tkr.reference (in TKC v1alpha2+)): error when creating "napp-deploy-cluster.yml": admission webhook "version.mutating.tanzukubernetescluster.run.tanzu.vmware.com" denied the request: unable to find a compatible full version matching version hint "1.21.6" and default OS labels: "os-arch=amd64,os-name=photon,os-type=linux,os-version=3.0". Existing TKRs may have different OS labels. Please use .spec.distribution.fullVersion (in TKC v1alpha1) or .spec.topology.controlPlane.tkr.reference (in TKC v1alpha2+)

Steps before this step are all  successful. 

Any ideas what can cause the error ?

 

Reply
0 Kudos
3 Replies
mrstorey303
Enthusiast
Enthusiast

+1 - I'm getting the same here.

To me this reads like the automation appliance is pre-loaded with whatever yaml deploys tkg clusters, and it's trying to deploy a deprecated version.

Basically, we prob need a new version of the OVA.

Will reach out to support + account team unless you have heard anything?

 

Reply
0 Kudos
mrstorey303
Enthusiast
Enthusiast

Fwiw I heard back from VMware about this.

In my case, this is because I'm using a very recent (8.1+) version of vcenter, which deprecates tkg release 1.21.6, which causes an issue for 0.2.x versions of the appliance.

As I suspected, there is a new release of the automation appliance coming out soon which will address this.

jensk
Contributor
Contributor

i hope you are right.

Same problem here vC is version 8.0.1 Build 22088981. NAPP config 4.0.1-0.0-20606727. NSX Version 4.1.0.2.0.21761695.

Bulky error/warning message:

{"function":"CreateGuestCluster","level":"warning","msg":"Warning: v1alpha1 version of run.tanzu.vmware.com/TanzuKubernetesCluster is deprecated. Please use v1alpha3 or above\nError from server (unable to find a compatible full version matching version hint \"1.21.6\" and default OS labels: \"os-arch=amd64,os-name=photon,os-type=linux,os-version=3.0\". Existing TKRs may have different OS labels. Please use .spec.distribution.fullVersion (in TKC v1alpha1) or .spec.topology.controlPlane.tkr.reference (in TKC v1alpha2+)): error when creating \"napp-deploy-cluster.yml\": admission webhook \"version.mutating.tanzukubernetescluster.run.tanzu.vmware.com\" denied the request: unable to find a compatible full version matching version hint \"1.21.6\" and default OS labels: \"os-arch=amd64,os-name=photon,os-type=linux,os-version=3.0\". Existing TKRs may have different OS labels. Please use .spec.distribution.fullVersion (in TKC v1alpha1) or .spec.topology.controlPlane.tkr.reference (in TKC v1alpha2+)\n","time":"2023-09-08T09:15:29Z"}

 

 

Reply
0 Kudos